Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core
Enum Filter.Result

    java.lang.Object
      java.lang.Enum<Filter.Result>
          org.apache.logging.log4j.core.Filter.Result

All Implemented Interfaces:
  Serializable, Comparable<Filter.Result>

Enclosing interface:
  Filter

    public static enum Filter.Result

extends Enum<Filter.Result>

The result that can returned from a filter method call.

Enum Constant Summary
`ACCEPT` The event will be processed without further filtering based on the log Level.
`DENY` The event should not be processed.
`NEUTRAL` No decision could be made, further filtering should occur.

Method Summary
`static Filter.Result` | `toResult(String name)` Returns the Result for the given string.
`static Filter.Result` | `toResult(String name, Filter.Result defaultResult)` Returns the Result for the given string.
`static Filter.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Filter.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCEPT

    public static final Filter.Result ACCEPT

  The event will be processed without further filtering based on the log Level.

### NEUTRAL

    public static final Filter.Result NEUTRAL

  No decision could be made, further filtering should occur.

### DENY

    public static final Filter.Result DENY

  The event should not be processed.

Method Detail

### values

    public static Filter.Result[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Filter.Result c : Filter.Result.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Filter.Result valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toResult

    public static Filter.Result toResult(String name)

  Returns the Result for the given string.

  Parameters:
    `name` - The Result enum name, case-insensitive. If null, returns, null
  Returns:
    a Result enum value or null if name is null

### toResult

    public static Filter.Result toResult(String name,
                                         Filter.Result defaultResult)

  Returns the Result for the given string.

  Parameters:
    `name` - The Result enum name, case-insensitive. If null, returns, defaultResult
    `defaultResult` - the Result to return if name is null
  Returns:
    a Result enum value or null if name is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.